Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.util
[Java] Class HashCodeHelper

    java.lang.Object
      org.codehaus.groovy.util.HashCodeHelper

    public class HashCodeHelper
    extends Object

A utility class to help calculate hashcode values using an algorithm similar to that outlined in "Effective Java, Joshua Bloch, 2nd Edition".

Method Summary
`static int` | `initHash()`
`static int` | `updateHash(int current, boolean var)`
`static int` | `updateHash(int current, char var)`
`static int` | `updateHash(int current, int var)`
`static int` | `updateHash(int current, long var)`
`static int` | `updateHash(int current, float var)`
`static int` | `updateHash(int current, double var)`
`static int` | `updateHash(int current, Object var)`
`static int` | `updateHash(int current, boolean[] var)`
`static int` | `updateHash(int current, char[] var)`
`static int` | `updateHash(int current, byte[] var)`
`static int` | `updateHash(int current, short[] var)`
`static int` | `updateHash(int current, int[] var)`
`static int` | `updateHash(int current, long[] var)`
`static int` | `updateHash(int current, float[] var)`
`static int` | `updateHash(int current, double[] var)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### initHash

    public static int initHash()

### updateHash

    public static int updateHash(int current, boolean var)

### updateHash

    public static int updateHash(int current, char var)

### updateHash

    public static int updateHash(int current, int var)

### updateHash

    public static int updateHash(int current, long var)

### updateHash

    public static int updateHash(int current, float var)

### updateHash

    public static int updateHash(int current, double var)

### updateHash

    public static int updateHash(int current, Object var)

### updateHash

    public static int updateHash(int current, boolean[] var)

### updateHash

    public static int updateHash(int current, char[] var)

### updateHash

    public static int updateHash(int current, byte[] var)

### updateHash

    public static int updateHash(int current, short[] var)

### updateHash

    public static int updateHash(int current, int[] var)

### updateHash

    public static int updateHash(int current, long[] var)

### updateHash

    public static int updateHash(int current, float[] var)

### updateHash

    public static int updateHash(int current, double[] var)

Copyright © 2003-2010 The Codehaus. All rights reserved.